package de.ozgcloud.operator.keycloak.user;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import io.fabric8.kubernetes.api.model.Secret;
import io.fabric8.kubernetes.client.KubernetesClient;
import io.fabric8.kubernetes.client.dsl.Resource;
import lombok.extern.java.Log;

@Log
@Component
class KubernetesRemoteService {

	@Autowired
	private KubernetesClient kubernetesClient;

	public Resource<Secret> getSecret(String namespace, String name) {
		log.info(String.format("KubernetesClient: Get %s secret from %s namespace.", name, namespace));
		return kubernetesClient.secrets().inNamespace(namespace).withName(name);
	}
}
