/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.operator.keycloak.client;

import java.util.Map;

public class OzgKeycloakClientSpecProtocolMapperTestFactory {

	public static final String NAME = "ProtocolMapperName";
	public static final String PROTOCOL = "TestProcotol";
	public static final String TYPE = "TestProtocolMapperType";

	public static final String CONFIG_KEY_1 = "ConfigKey1";
	public static final String CONFIG_VALUE_1 = "ConfigValue1";
	public static final Map<String, String> CONFIG = Map.of(CONFIG_KEY_1, CONFIG_VALUE_1);

	public static final OzgKeycloakClientSpec.ProtocolMapper create() {
		return createBuilder().build();
	}

	public static final OzgKeycloakClientSpec.ProtocolMapper.ProtocolMapperBuilder createBuilder() {
		return OzgKeycloakClientSpec.ProtocolMapper.builder()
				.name(NAME)
				.protocol(PROTOCOL)
				.type(TYPE)
				.config(CONFIG);
	}
}
